Bug 159226 - gamin upgrade: files not visible when saved to desktop (clone of bz 147195)
gamin upgrade: files not visible when saved to desktop (clone of bz 147195)
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gamin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: 159568 165029 (view as bug list)
Depends On: 155955
Blocks: 156322
  Show dependency treegraph
Reported: 2005-05-31 14:41 EDT by Edward Rousseau
Modified: 2015-04-12 19:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2005-588
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-05 11:35:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edward Rousseau 2005-05-31 14:41:10 EDT
Description of problem: From bz 147195:

"When saving files to the desktop the files are not visible once the
save is completed (not visible on the desktop and not visible in the
desktop directory in my home directory). This occurs whether I am
using a local program (i.e. THE GIMP) or saving programs/images from
the internet via a browser. The workaround is to immediately browse to
my Home folder, browse to the desktop folder and select view->reload.
All files instantly become visible on the desktop and in the desktop

This happens with the RC RHEL 4 U1 -re0525.0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Save something to desktop
Actual results:
File does not appear on desktop

Expected results:
File appears on desktop

Additional info:

This should be fixed for RHEL 4 asap as it is highly visible and will probably
generate some support calls. This bz entry is to track this issue on RHEL 4.
Comment 4 Daniel Veillard 2005-06-15 04:10:36 EDT
I can fix based on an upgrade to 0.1.1. I cannot fix by trying to backport from
the old code base as the amount of internal changes needed to have a correct
behaviour have been massive since the version inserted in RHEL4.

Comment 9 Fabien MARTY 2005-07-05 06:00:25 EDT
I confirm this point. I rebuilt the gamin[-devel] RPM with the 0.1.1 version.
Then I rebuilt the nautilus RPM without any modification. And it works now !

The only remaining problem with "gamin" (the 0.1.1 didn't help me) is a CIFS
unmount problem when shutting down the system (because of a gam_server process).
There is a correspondant entry somewere in this bugzilla.
Comment 10 Aleksey Nogin 2005-07-11 20:01:22 EDT
Bug 155955 asks for a newer gamin for RHEL 4.
Comment 11 Daniel Veillard 2005-07-12 10:46:38 EDT
I built gamin-0.1.1-1.EL4 as a potential update for RHEL4.
I tried first the following tests after the update locally:
   - logged in a GNOME session
   - kill gam_server and nautilus, both will restart
   - plugged an USB key with a filesystem, after a bit the file
     system shows on the desktop (this was broken in 0.1.0 in Fedora Core 4)
   - added and removed files to ~/Desktop directly from a shell, verified
     that this was reflected immediately into the desktop rendering
   - In the menu "Action->Recent Document", asked to clear and confirmed,
     checked from the shell that ~/.recently-used size shrinked back to size 0
     and the menu "Action->Recent Document" gets greyed out
   - created a new test document from gedit, used save-as to save it on
     the desktop, verified that the document icon shows up on the desktop
     and the "Action->Recent Document" menu is active gain and list the 
     test file.
Extracting the tarball, configuring, building and running "make tests" works
without failure on a RHEL4 system 
It looks to me that this update would fix the most obvious problems related to
gamin in RHEL4 used as a desktop environment.

Comment 12 Fabien MARTY 2005-07-12 12:25:22 EDT
I agree for the "Desktop refresh" problem. The upgrade solves it. 

But we still have an issue with gamin :


(referenced in fedora but we have the problem with RHEL4 too, should I open a
new bug ?)

The problem is the same with the old version and with our new one.

Maybe, can we try your new (potential) version Daniel ?

Comment 14 Daniel Veillard 2005-07-12 17:52:47 EDT
w.r.t. comment #12:
  - the version I pushed is the same as the one in Fedora Core 4 so you can
    test it ! The only difference is that inotify is being disabled which should
    not change anything since it's not in our kernels.
  - bug #132740 is currently analyzed as a problem at the kernel level between
    cifs and the dnotify kernel interface. It should not be fixed in gamin,
    but in the kernel. There are workarounds as pointed in the bugzilla
    entry to force using polling in the case of such a filesystem based on
    the ~/.gaminrc configuration file.


Comment 17 Daniel Veillard 2005-07-29 09:24:28 EDT
*** Bug 159568 has been marked as a duplicate of this bug. ***
Comment 18 Daniel Veillard 2005-08-03 18:02:08 EDT
*** Bug 165029 has been marked as a duplicate of this bug. ***
Comment 19 Red Hat Bugzilla 2005-10-05 11:35:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.